Page MenuHomePhabricator

Unable to add service group to service groups
Closed, ResolvedPublic

Description

When manipulating members in a service group, there's a field allowing people to add a service group to this service group. This is useful when two service groups share common files and want to allow each other access to their files.

This hasn't been working for a while - typeahead doesn't work, and typing it in manually doesn't either.

Details

Related Gerrit Patches:
labs/striker/deploy : masterTool account creation and more
labs/striker : masterManage tool maintainers

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptFeb 29 2016, 7:16 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

I want 'paws-public' to be able to access 'paws' files, so I'll probably just add them into LDAP manually?

I've added uid=tools.paws-public,ou=people,ou=servicegroups,dc=wikimedia,dc=org to tools.paws so that works fine for now.

chasemp triaged this task as Low priority.Apr 4 2016, 2:10 PM

Change 364135 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Manage tool maintainers

https://gerrit.wikimedia.org/r/364135

Change 364135 merged by jenkins-bot:
[labs/striker@master] Manage tool maintainers

https://gerrit.wikimedia.org/r/364135

Change 370139 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Change 370139 merged by jenkins-bot:
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Mentioned in SAL (#wikimedia-operations) [2017-08-23T16:23:46Z] <bd808@tin> Started deploy [striker/deploy@2f2dd7c]: Deploying 2f2dd7c "Tool account creation and more" (T128400, T149458, T159044, T164847, T167931, T168480, T173845)

bd808 closed this task as Resolved.Aug 23 2017, 5:59 PM
bd808 claimed this task.
bd808 added a subscriber: bd808.

This is fixed in Striker. As soon as a couple of bugs with maintainer management are ironed out on the Striker side we will disable service account management in OSM, so I'm going to call this fixed.

Restricted Application added a project: User-bd808. · View Herald TranscriptAug 23 2017, 5:59 PM
bd808 moved this task from Backlog to Done on the Striker board.Aug 24 2017, 7:29 PM